SYNCE-REGISTRY(1)

NAME
synce-registry - read or modify the registry on a PDA

SYNOPSIS
synce-registry [-d LEVEL] [-p DEVNAME] [-h]
   [-r] PARENTKEY KEY VALUE
     -w [-t TYPE] PARENTKEY KEY VALUE NEWVALUE
     -l PARENTKEY KEY
     -n PARENTKEY NEWKEY
     -x PARENTKEY KEY VALUE (not supported)
     -X PARENTKEY KEY (not supported)

DESCRIPTION

synce-registry manipulates the registry on a device connected through SynCE. It can read and write values, add new keys and values, and list the values of a key.

Forward slashes ('/') in key names specified on the command line are converted to backward slashes ('\').

This tool must be run as the same user as the dccmd daemon.

OPTIONS

-d LEVEL
    Set debug log level:

    0 - No logging (default)

    1 - Errors only

    2 - Errors and warnings

    3 - Everything

-p DEVNAME
    Use the device with the given name, instead of the default.

-h  Display help message.

[-r] PARENTKEY KEY VALUE
    Read a value. This is the default.

-w [-t TYPE] PARENTKEY KEY VALUE NEWVALUE
    Write a value. If TYPE is supplied, that type of value will be written; otherwise a string. The following options are valid for TYPE:

    sz - String

    dword - Double-word (4 bytes)

    dword_bige - Double word (4 bytes), big-endian

    expand_sz - String with path expansion

    multi_sz - Multiple strings (not supported)

    binary - Binary data (not supported)

-l PARENTKEY KEY
    List the names of values and subkeys in the given KEY.

-n PARENTKEY KEY
    Create a new key.

-x PARENTKEY KEY VALUE
    Delete the given VALUE from the given KEY. (not implemented)

-X PARENTKEY KEY
    Delete the given KEY. (not implemented)

PARENTKEY
    The top-level key (sometimes called the hive). The only valid options are HKEY_CLASSES_ROOT (abbreviated HKCR), HKEY_CURRENT_USER (HKCU), HKEY_LOCAL_MACHINE (HKLM), and HKEY_USERS (HKU).

KEY The key to operate on. A key can contain zero or more values and subkeys.

VALUE
    The value to operate on.

NEWVALUE
    The new value to set VALUE to in a write operation.

AUTHOR

David Eriksson <twogood@users.sourceforge.net>, Scott Gifford <gifford@umich.edu>.

SEE ALSO
synce(1) pstatus(1)